echo off
cls

if %1Z==Z goto error
if %2Z==Z goto error

cls
echo PC Comix, Inc. - Lance Stone Issue #1
echo -----------------------------------------------------------------------
echo.
echo This product requires 1.75 MB of disk space and 520k of free base
echo memory to run. You may need to make adjustments to your system before
echo continuing.
echo.
echo The Lance Stone Comic Book is distributed in a compressed format. This
echo installation will uncompress the files and place them in a directory 
echo called \STONE on your hard drive.
echo.
echo Once installed, the Comic Book can be started by simply typing
echo READER in the STONE subdirectory.
echo.
echo Press CTL-C to quit now or
pause

%2
md %2\STONE
cd %2\STONE

:disk1
if exist %1STONE01.EXE goto disk1a
cls
goto error

:disk1a
cls
echo Uncompressing files - please wait ...
%2
%1stone01
if not exist %2\STONE\LS01.OVR goto error
if not exist %2\STONE\READER.EXE goto error

cls
echo Installation successful.
echo.
echo PC Comix, Inc. - Lance Stone Issue #1
echo -----------------------------------------------------------------------
echo.
echo If you experience speed or system problems during the operation of the
echo Comic Book, try removing any 386 memory managers or memory resident
echo programs.  Pressing ENTER will speed up the pace of narrative and
echo dialog boxes.
echo.
echo To start the Comic Book now type READER.
%2
goto out

:error
echo Installation error.
echo.
echo To install the Comic Book:
echo.
echo 1. Change the current drive to your floppy drive.
echo.
echo 2. Type INSTALL X: Y:  where X is the drive letter of your floppy
echo    drive and Y is the drive letter of your hard drive.
echo.
echo.
:out

